( function($) {
	"use strict";

	$( '.bizreview-tab' ).on( 'click', function() {

		let $selector = $(this).attr('href');

		$('.bizr-active').removeClass('bizr-active').addClass('bizr-hide');

		$($selector).removeClass('bizr-hide').addClass('bizr-active');

	} );


	/*************************************

	Review Shortcode Generator Options

	**************************************/
	
	// Selectors 
	var $reviewtype = $('#reviewtype'),
		$buttonArea = $('.button-area'),
		$reviewcat  = $( '#reviewcat' ),
		$order 		= $('#order'),
		$gplaceinfo = $('#gplaceinfo'),
		$bizstyle 	= $("#bizstyle"),
		$max_rows 	= $("#max_rows"),
		$min_rating = $("#min_rating"),
		$padding_top = $("#padding_top"),
		$padding_bottom = $("#padding_bottom"),
		$bg_color = $("#bg_color"),
		$scodeShow  = $('.scode-show'),
		$scodeCopy  = $( '#scode-copy' );



	// Default events
	$buttonArea.hide();

	if( $reviewtype.val() == '' ) {

		$reviewcat.hide()
		$gplaceinfo.hide()
		$order.hide()
		$bizstyle.hide()
		$max_rows.hide()
		$min_rating.hide()
		$padding_top.hide()
		$padding_bottom.hide()
		$bg_color.hide()
	}

	$scodeCopy.hide();

	// Review Type on change events
	
	$reviewtype.on( 'change', function() {

		$buttonArea.show();

		if( $(this).val() == 'bizr_google_place' ) {

			$reviewcat.hide()
			$gplaceinfo.show()
			$order.show()
			$bizstyle.show()
			$max_rows.show()
			$min_rating.show()
			$padding_top.show()
			$padding_bottom.show()
			$bg_color.show()

		}else if( $(this).val() == 'bizr_custom_reviews' ) {

			$reviewcat.show()
			$gplaceinfo.hide()
			$order.hide()
			$bizstyle.show()
			$max_rows.show()
			$min_rating.show()
			$padding_top.show()
			$padding_bottom.show()
			$bg_color.show()

		} else if( $(this).val() == 'bizr_facebook_review' ){
			$reviewcat.hide()
			$gplaceinfo.hide()
			$order.hide()
			$bizstyle.show()
			$max_rows.show()
			$min_rating.hide()
			$padding_top.show()
			$padding_bottom.show()
			$bg_color.show()

		} else if ( $(this).val() == 'bizr_yelp_review' ) {

			console.log( $padding_bottom );

			$reviewcat.hide()
			$gplaceinfo.hide()
			$order.hide()
			$bizstyle.show()
			$max_rows.show()
			$min_rating.show()
			$padding_top.show()
			$padding_bottom.show()
			$bg_color.show()

		} else {

			$reviewcat.hide()
			$bizstyle.hide()
			$gplaceinfo.hide()
			$order.hide()
			$max_rows.hide()
			$min_rating.hide()
			$padding_top.hide()
			$padding_bottom.hide()
			$bg_color.hide()
		}
		

	});

	$( '#scodegenerate' ).on( 'click', function() {

		var $attr ='';

		var $reviewtype = $('#reviewtype').val();

		//
		if( $reviewcat.is(":visible") ) {
			$attr += ' cat="'+$reviewcat.val()+'"';
		}
		//
		if( $gplaceinfo.is(":visible") ) {
			$attr += ' place_info="'+$gplaceinfo.val()+'"';
		}
		//
		if( $order.is(":visible") ) {
			$attr += ' order="'+$order.val()+'"';
		}
		//
		if( $max_rows.is(":visible") ) {
			$attr += ' max_rows="'+$max_rows.val()+'"';
		}
		//
		if( $min_rating.is(":visible") ) {
			$attr += ' min_rating="'+$min_rating.val()+'"';
		}
		//
		if( $padding_top.is(":visible") ) {
			$attr += ' padding_top="'+$padding_top.val()+'"';
		}
		//
		if( $padding_bottom.is(":visible") ) {
			$attr += ' padding_bottom="'+$padding_bottom.val()+'"';
		}
		//
		if( $bg_color.is(":visible") ) {
			$attr += ' bg_color="'+$bg_color.val()+'"';
		}
		//
		if( $bizstyle.is(":visible") ) {
			$attr += ' style="'+$bizstyle.val()+'"';
		}

		$scodeShow.fadeIn('slow');
		$scodeCopy.show();
		$scodeShow.html( '<p class="shortcodearea">['+$reviewtype+' '+$attr+']</p>' );

	});


    // Copy shortcode
    $scodeCopy.on( 'click', function() {

        var $shortcode = $('.shortcodearea');

        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($shortcode.text()).select();
        document.execCommand("copy");
        $temp.remove();

        $scodeShow.fadeIn('slow').fadeOut('slow');
        $(this).fadeOut('slow');


    } );


    $( '[name="bizreviewreview_platform"]' ).on( 'change', function() {

    	var selectedVal = $(this).val(),
    		platformPic  = $('.other-platform-pic'),
    		platformName = $('.other-platform-name');

    	if( selectedVal === 'other' ) {

    		platformPic.show();
    		platformName.show();

    	} else {

    		platformPic.hide();
    		platformName.hide();
    	}

    } )


	/*********************************************

	Review Badges Shortcode Generator Options

	**********************************************/

	// Selectors 
	var $badgestype 	= $('#badgestype'),
		$buttonBadgesArea 	= $('.button-badges-area'),
		$badge_margin_top		= $( '#margin_top' ),
		$badge_margin_bottom  = $('#margin_bottom'),
		$group_margin   = $('.field-group-margin'),
		$badge_padding_top 	= $("#badge_padding_top"),
		$badge_padding_bottom = $("#badge_padding_bottom"),
		$badge_bg_color 		= $("#badge_bg_color"),
		$badgelist 		= $("#badgelist"),
		$scodeBadgesShow = $('.scode-badges-show'),
		$scodeBadgesCopy  	= $( '#scode-badges-copy' );


		$buttonBadgesArea.hide();
		$scodeBadgesCopy.hide();

		$badgestype.on( 'change', function() {

			var val = $( this ).val();

			if( val == 'biz_badges_slider' ) {
				$badge_margin_bottom.hide();
				$badge_margin_top.hide();
				$group_margin.hide();
				$badgelist.hide();

			} else {

				$badge_margin_bottom.show();
				$badge_margin_top.show();
				$group_margin.show();
				$badgelist.show();
			}

			$buttonBadgesArea.show();

		} )



	$( '#badges_scode_generate' ).on( 'click', function() {

		var $attr ='';

		var $badgestype = $('#badgestype').val();

		//
		if( $badgelist.is(":visible") ) {
			$attr += ' id="'+$badgelist.val()+'"';
		}
		//
		if( $badge_margin_top.is(":visible") ) {
			$attr += ' margin_top="'+$badge_margin_top.val()+'"';
		}
		//
		if( $badge_margin_bottom.is(":visible") ) {
			$attr += ' margin_bottom="'+$badge_margin_bottom.val()+'"';
		}
		//
		if( $badge_padding_top.is(":visible") ) {
			$attr += ' padding_top="'+$badge_padding_top.val()+'"';
		}
		//
		if( $badge_padding_bottom.is(":visible") ) {
			$attr += ' padding_bottom="'+$badge_padding_bottom.val()+'"';
		}
		//
		if( $bg_color.is(":visible") ) {
			$attr += ' bg_color="'+$bg_color.val()+'"';
		}

		$scodeBadgesShow.fadeIn('slow');
		$scodeBadgesCopy.show();
		$scodeBadgesShow.html( '<p class="shortcodearea">['+$badgestype+' '+$attr+']</p>' );

	});

    // Copy shortcode
    $scodeBadgesCopy.on( 'click', function() {

        var $shortcode = $('.shortcodearea');

        var $temp = $("<input>");
        $("body").append($temp);
        $temp.val($shortcode.text()).select();
        document.execCommand("copy");
        $temp.remove();

        $scodeBadgesShow.fadeIn('slow').fadeOut('slow');
        $(this).fadeOut('slow');


    } );


	/*************************************

		Google Review Upload

	**************************************/

    $( '.get-google-review' ).on( 'click', function(e) {

    	e.preventDefault();
    	
    	$.ajax({

    		type: 'POST',
    		url: bizreviewadminobj.admin_url,
    		data: {
    			action: 'update_google_review'
    		},
    		success: function( data ) {

    		var data = JSON.parse( data ),
				placeMessage = ( data.place_message ) ? data.place_message : '',
				reviewMessage = data.review_message,
				message = $( '.status-message' );

				if( reviewMessage.length || placeMessage.length ) {
					message.html('<p class="biz-alert">'+placeMessage+'<br>'+reviewMessage+'</p>');
				}
    			
    		}

    	})
    	

    } )


} )(jQuery);