<?php 
 /**
  * 
  * @package    BizReview - Business and google Place Review WordPress Plugin
  * @version    1.0
  * @author     ThemeAtelier
  * @Websites: https://themeatelier.net/
  *
  */
  
	// Blocking direct access
	if( ! defined( 'ABSPATH' ) ) {
		die ( BIZREVIEW_ALERT_MSG );
	}



	// Metabox fields object  Blood Request
	function metabox_field_obj(){
		
		return $obj = new Main_MetaBox();
		
	}
	
	// Prefix
	$prefix = 'bizreview';
	

	/**
	 *  Meta field for custom review post type
	 * 
	 */

	// Init meta object
	$obj = metabox_field_obj();
	
	// Meta Box Create
	$obj->SetMetaBox = array(
		'uniq_id' 	=> 'bizreview_bizreview_meta_field',
		'title' 	=> 'Review Info',
		'type' 		=> array( 'bizreview' ),
	);
	
	// Meta Fields
	$obj->SetMetaFields = array( 

		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'reviewer_name',
			'label' => esc_html__( 'Reviewer Name', 'bizreview' ),
		),
		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'reviewe_url',
			'label' => esc_html__( 'Reviewe Url', 'bizreview' ),
		),
		array(
			'type' 	=> 'media',
			'id' 	=> $prefix.'reviewer_pic',
			'label' => esc_html__( 'Reviewer Image', 'bizreview' ),
		),
		array(
			'type' 	=> 'date',
			'id' 	=> $prefix.'reviewer_date',
			'label' => esc_html__( 'Reviewe Date', 'bizreview' ),
		),
		array(
			'type' 	=> 'select',
			'id' 	=> $prefix.'review_rating',
			'label' => esc_html__( 'Rating', 'bizreview' ),
			'options' => array(
				'1' 	=> '1',
				'2' 	=> '2',
				'3' 	=> '3',
				'4' 	=> '4',
				'5' 	=> '5'
			)
		),
		array(
			'type' 	=> 'select',
			'id' 	=> $prefix.'review_platform',
			'label' => esc_html__( 'Platform', 'bizreview' ),
			'options' => array(
				'google' 	=> 'Google',
				'facebook' 	=> 'Facebook',
				'yelp'		=> 'Yelp',
				'trustpilot' => 'Trustpilot',
				'other'		=> 'Other'
			)
		),
		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'platform_name',
			'label' => esc_html__( 'Platform Name', 'bizreview' ),
			'class' => 'other-platform-name'
		),
		array(
			'type' 	=> 'media',
			'id' 	=> $prefix.'platform_pic',
			'label' => esc_html__( 'Platform Image', 'bizreview' ),
			'class' => 'other-platform-pic'
		),
		array(
			'type' 	=> 'textarea',
			'id' 	=> $prefix.'content',
			'label' => esc_html__( 'Review Content', 'bizreview' ),
		),

	);
	

	/**
	 * Meta field for review badges post type 
	 * 
	 */

	// Init meta object
	$obj = metabox_field_obj();

	// Meta Box Create
	$obj->SetMetaBox = array(
		'uniq_id' 	=> 'bizreview_badges_meta_field',
		'title' 	=> 'Review Badges Info',
		'type' 		=> array( 'reviewbadges' ),
	);

	// Meta Fields
	$obj->SetMetaFields = array( 
		array(
			'type' 	=> 'select',
			'id' 	=> $prefix.'badges_platform',
			'label' => esc_html__( 'Badges Platform', 'bizreview' ),
			'options' => array(
				'google' 	=> 'Google',
				'facebook' 	=> 'Facebook',
				'yelp'		=> 'Yelp',
				'trustpilot' => 'Trustpilot',
				'other' => 'Other'
			)
		),
		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'plarform_name',
			'label' => esc_html__( 'Platform Name', 'bizreview' ),
		),
		array(
			'type' 	=> 'media',
			'id' 	=> $prefix.'platform_pic',
			'label' => esc_html__( 'Platform Image', 'bizreview' ),
		),
		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'ratings',
			'label' => esc_html__( 'Ratings', 'bizreview' ),
		),
		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'total_reviews',
			'label' => esc_html__( 'Total Reviews', 'bizreview' ),
		),
		array(
			'type' 	=> 'text',
			'id' 	=> $prefix.'reviews_url',
			'label' => esc_html__( 'Reviews Url', 'bizreview' ),
		),

	);
