<?php 
 /**
  * 
  * @package    BizReview - Business and google Place Review WordPress Plugin
  * @version    1.0
  * @author     ThemeAtelier
  * @Websites: https://themeatelier.net/
  *
  */

add_shortcode( 'biz_badges' , 'bizreview_badges_shortcode' );
function bizreview_badges_shortcode( $atts ) {

		$atts = shortcode_atts( array(
			'id' => '',
            'padding_top'    => '20',
			'padding_bottom' => '20',
            'margin_top'     => '0',
            'margin_bottom'  => '0',
		), $atts );

	ob_start();

        $postID = $atts['id'];

        $platform        = get_post_meta( $postID, 'bizreviewbadges_platform', true );
        $name       	 = get_post_meta( $postID, 'bizreviewplarform_name', true );
        $pic       		 = get_post_meta( $postID, 'bizreviewplatform_pic', true );
        $ratings      	 = get_post_meta( $postID, 'bizreviewratings', true );
        $totalReview     = get_post_meta( $postID, 'bizreviewtotal_reviews', true );
        $reviewUrl       = get_post_meta( $postID, 'bizreviewreviews_url', true );

        $img = wp_get_attachment_image_src( $pic, 'full' );
        ?>
        <div class="badges-wrapper" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;margin-top:<?php echo esc_attr( $atts['margin_top'] ); ?>px;margin-bottom:<?php echo esc_attr( $atts['margin_bottom'] ); ?>px;">
            <div class="badges-inner">
                <div class="title-img">
                    <?php
                        //
                        if( ! empty( $img[0] ) ) {
                            echo '<img class="badges-img" src="'.esc_url( $img[0] ).'" alt="'.esc_attr( $name ).'" />';
                        }
                        // Title
                        if( ! empty( $name ) ) {
                            echo '<h3>'.esc_html( $name ).'</h3>';
                        }
                    ?>
                </div>
                <div class="rating <?php echo esc_html( $platform ); ?>">
                <?php 
                //
                if( ! empty( $ratings ) ) {
                    echo '<span>'.esc_html( $ratings ).'</span>';
                    echo '<span>'.bizreview_star_review( esc_html( $ratings ) ).'</span>';
                }
                //
                ?>
                </div>
                <div class="badges-footer">
                    <?php
                    //
                    if( ! empty( $totalReview ) ) {
                        echo '<span>'.sprintf( esc_html__( 'Based on %s reviews', 'bizreview' ), esc_html( $totalReview ) ).'</span>';
                    } 
                    //
                    if( ! empty( $reviewUrl ) ) {
                        echo '<span><a href="'.esc_url( $reviewUrl ).'" target="_blank">'.esc_html__( 'View Review', 'bizreview' ).'</a></span>';
                    }
                    ?>
                </div>
            </div>
        </div>
        <?php 

    return ob_get_clean();


}