<?php 
class Facebook_Review_Template {
   
   public static $getData;

   function __construct( array $args ) {

      self::$getData = $args;

   }

   // Template Style 1
   public function biz_facebook_review_template_s1() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];
      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php
         // 
         
         if( !empty( $data ) ):

            $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );


            foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
            if( $value['recommendation_type'] == 'positive' ) {

               $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

               $recommendsText = esc_html__( 'recommends', 'bizreview' );

            } else {

               $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

               $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

            }

         ?>
         <div class="biz-col-md-6">
            <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b">
               <div class="biz-row">
                  
                  <?php 
                  if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
                  ?>
                  <div class="biz-col-md-auto m-15px-b">
                     <div class=" bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2">
                        <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                     </div>
                  </div>
                  <?php 
                  endif;
                  ?>
                  <div class="biz-col-md-auto d-flex align-items-center">
                     <div class="bt-testimonial-grid-title-address">
                        <?php 
                        if( !empty( $value['reviewer']['name'] ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                        <?php 
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                        </p>
                     </div>
                  </div>
               </div>
               <div class="bt-testimonial-text">
                  <?php
                  if( !empty( $value['review_text'] ) ):
                  ?>
                  <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                  <?php 
                  endif;
                  ?>
               </div>
            </div>
         </div>
         <?php
            endforeach;
         endif;

         ?>
      </div>
      </div>
      </section>

      <?php
   } 

   // Template style 2
   function biz_facebook_review_template_s2 () {


      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

      ?>
         <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
         <div class="biz-container">
         <div class="biz-row">
            <?php
            if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

            ?>
            <div class="biz-col-lg-4 biz-col-md-6">
               <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b">
                  <div class="biz-row">
                     <?php 
                     if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
                     ?>
                     <div class="biz-col-auto">
                        <div class=" bt-avater bt-avater-circle bt-overflow-hidden m-15px-b">
                           <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                        </div>
                     </div>
                     <?php 
                     endif;
                     ?>
                     <div class="biz-col-auto d-flex align-items-center">
                        <div class="bt-testimonial-grid-title-address m-15px-b">
                           <?php
                           if( !empty( $value['reviewer']['name'] ) ):
                           ?>
                           <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                           <?php
                           endif;
                           ?>
                           <p class="bt-testimonial-address bt-no-margin">
                              <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                           </p>
                           
                        </div>
                     </div>
                  </div>
                  <div class="bt-testimonial-text">
                     <?php 
                     if( !empty( $value['review_text'] ) ):
                     ?>
                     <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                     <?php
                     endif;
                     ?>
                  </div>
               </div>
            </div>
            <?php
               endforeach;
            endif;

            ?>
         </div>
         </div>
         </section>

      <?php
   }

   // Template style 3
   function biz_facebook_review_template_s3() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

   ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php
         

         if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
			   
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

         ?>
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="white-bg bt-shadow-1 p-35px position-relative m-40px-t m-15px-t m-15px-b">
               <?php
               if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
               ?>
               <div class="bt-avater bt-avater-circle bt-overflow-hidden top-positioned-avater position-absolute bt-shadow-2">
                  <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
               </div>
               <?php 
               endif;
               ?>
               
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-t m-15px-b">
                     <?php
                        if( !empty( $value['reviewer']['name'] ) ):
                     ?>
                     <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                     <?php
                        endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                     </p>
                  </div>
               </div>
               <div class="bt-testimonial-text">
                  <?php 
                  if( !empty( $value['review_text'] ) ):
                  ?>
                  <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                  <?php 
                  endif;
                  ?>
               </div>
            </div>
         </div>
         <?php
            endforeach;
         endif;

         ?>
      </div>
      </div>
      </section>

   <?php
   }

   // Template style 4
   function biz_facebook_review_template_s4() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">

         <?php 
         

         //
         if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

         ?>
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="gray-bg-2 bt-shadow-1 p-35px position-relative m-15px-t m-40px-b">
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center">
                     <?php 
                     if( !empty( $value['reviewer']['name'] ) ):
                     ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                     </p>
                  </div>
               </div>
               <?php 
               if( !empty( $value['review_text'] ) ):
               ?>
               <div class="bt-testimonial-text"><p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p></div>
               <?php 
               endif;
               //
               if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
               ?>
               <div class="bt-avater bt-avater-circle bt-overflow-hidden bottom-positioned-avater position-absolute bt-shadow-2">
                  <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
            endforeach;
         endif;

         ?>

      </div>
      </div>
      </section>
      <?php
   }

   // Template style 5
   function biz_facebook_review_template_s5() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php 
         
         //
         if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }
         ?>
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b">
               <?php 
                  if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto m-15px-b">
                     <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                  </div>
               </div>
               <?php 
               endif;
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-b">
                     <?php 
                     if( !empty( $value['reviewer']['name'] ) ):
                     ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                     </p>
                  </div>
               </div>
               <?php 
               if( !empty( $value['review_text'] ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
            endforeach;
         endif;

         ?>

      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 6
   function biz_facebook_review_template_s6() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">

         <?php
         
         //
         if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

         ?>
          <!-- Start single service  -->
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b">
               <?php 
               if( !empty( $value['review_text'] ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
               </div>
               <?php 
               endif;
               //
               if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
               ?>
               <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
                  <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
               </div>
               <?php 
               endif;
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                     <?php 
                     if( !empty( $value['reviewer']['name'] ) ):
                     ?>
                     <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                     </p>
                  </div>
               </div>
            </div>
         </div>
         <!-- End single service  -->
         <?php
            endforeach;
         endif;

         ?>

      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 7
   function biz_facebook_review_template_s7() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      <?php 
      //
      if( !empty( $data ) ):

            $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );

            foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

      ?>
      <div class="biz-col-lg-4 biz-col-md-6">
         <div class="black-bg white-text bt-shadow-1 p-35px bt-radius-3 m-15px-t m-15px-b">
            <?php 
               if( !empty( $value['review_text'] ) ):
            ?>
            <div class="bt-testimonial-text">
               <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
            </div>
            <?php
            endif; 
            //
            if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
            ?>
            <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
               <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
            </div>
            <?php 
            endif;
            ?>

            <div class="biz-col-sm-12">
               <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                  <?php 
                     if( !empty( $value['reviewer']['name'] ) ):
                  ?>
                  <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                  <?php
                     endif;
                  ?>
                  <p class="bt-testimonial-address bt-no-margin">
                     <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                  </p>
               </div>
            </div>
         </div>
      </div>
      <?php
         endforeach;
      endif;
      ?>

      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 8
   function biz_facebook_review_template_s8() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      
      <div class="biz-row grid">
      <?php
      //
      if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

      ?>
      <div class="biz-col-lg-4 biz-col-md-6 grid-item">
         <div class="black-bg white-text bt-shadow-1 p-35px bt-radius-3 m-15px-t m-15px-b">
            <?php 
            if( !empty( $value['review_text'] ) ):
            ?>
            <div class="bt-testimonial-text">
               <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
            </div>
            <?php
            endif; 
            //
            if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
            ?>
            <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
               <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
            </div>
            <?php 
            endif;
            ?>
            <div class="biz-col-sm-12">
               <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                  <?php 
                  if( !empty( $value['reviewer']['name'] ) ):
                  ?>
                  <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                  <?php 
                  endif;
                  ?>
                  <p class="bt-testimonial-address bt-no-margin">
                     <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                  </p>
               </div>
            </div>
         </div>
      </div>
      <?php
         endforeach;
      endif;

      ?>

      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 9
   
   function biz_facebook_review_template_s9() {
      
      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

      ?>
         <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
         <div class="biz-container">
         <div class="biz-row">
            
            <div class="bt-slide-1 bt-mid-control owl-carousel owl-theme">

               <?php 
               if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

               ?>
               
               <div class="biz-col-sm-12">
                  <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b">
                     <div class="biz-row">
                     <?php
                     if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
                     ?>
                     <div class="biz-col-md-auto m-15px-b">
                        <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2">
                           <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                        </div>
                     </div>
                     <?php
                     endif;
                     ?>

                        <div class="biz-col-md-auto d-flex align-items-center">
                           <div class="bt-testimonial-grid-title-address">
                              <?php 
                              if( !empty( $value['reviewer']['name'] ) ):
                              ?>
                                 <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                              <?php 
                              endif;
                              ?>
                              <p class="bt-testimonial-address bt-no-margin">
                                 <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                              </p>
                           </div>
                        </div>
                     </div>
                     <?php 
                     if( !empty( $value['review_text'] ) ):
                     ?>
                     <div class="bt-testimonial-text">
                        <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                     </div>
                     <?php 
                     endif;
                     ?>
                  </div>
               </div>
            

            <?php
               endforeach;
            endif;

            ?>

               </div>
            
         </div>
         </div>
         </section>

      <?php
   }

   // Template Style 10
   function biz_facebook_review_template_s10() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php
         
         ?>
         <div class="bt-slide-2 bt-mid-control owl-carousel owl-theme">

            <?php 
               if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

            ?>
            <div class="biz-col-sm-12">
               <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b">
                  <div class="biz-row">
                     <?php 
                     if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
                     ?>
                     <div class="biz-col-auto">
                        <div class=" bt-avater bt-avater-circle bt-overflow-hidden m-15px-b">
                           <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                        </div>
                     </div>
                     <?php 
                     endif;
                     ?>
                     <div class="biz-col-auto d-flex align-items-center">
                        <div class="bt-testimonial-grid-title-address m-15px-b">
                           <?php
                           if( !empty( $value['reviewer']['name'] ) ):
                           ?>
                           <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                           <?php
                           endif;
                           ?>
                           <p class="bt-testimonial-address bt-no-margin">
                              <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                           </p>
                        </div>
                     </div>
                  </div>
                  <div class="bt-testimonial-text">
                     <?php 
                     if( !empty( $value['review_text'] ) ):
                     ?>
                     <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                     <?php 
                     endif;
                     ?>
                  </div>
               </div>
            </div>
            <?php
               endforeach;
            endif;
            ?>

         </div>

      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 11

   function biz_facebook_review_template_s11() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      
      <div class="bt-slide-2 bt-mid-control owl-carousel owl-theme">

         <?php 
         if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

         ?>

         <div class="biz-col-md-12">
            <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b">
               <?php 
               if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto m-15px-b">
                     <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                  </div>
               </div>
               <?php 
               endif;
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-b">
                     <?php 
                        if( !empty( $value['reviewer']['name'] ) ):
                     ?>
                     <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                     </p>
                  </div>
               </div>
               <?php 
               if( !empty( $value['review_text'] ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
            endforeach;
         endif;
         ?>

      </div>


      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 12
   function biz_facebook_review_template_s12() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php
         
         ?>
         <div class="bt-slide-2 bt-mid-control owl-carousel owl-theme">

            <?php 
            if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }
            ?>
            <div class="biz-col-md-12">
               <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b">
                  <?php 
                  if( !empty( $value['review_text'] ) ):
                  ?>
                  <div class="bt-testimonial-text">
                     <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                  </div>
                  <?php 
                  endif;
                  //
                  if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
                  ?>
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
                     <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                  </div>
                  <?php
                  endif;
                  ?>

                  <div class="biz-col-sm-12">
                     <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                        <?php
                        if( !empty( $value['reviewer']['name'] ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                        <?php
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                        </p>
                     </div>
                  </div>

               </div>
            </div>
            <?php
               endforeach;
            endif;

            ?>  
         </div>
      </div>
      </div>
      </section>

      <?php
   }

   // Template Style 13
   function biz_facebook_review_template_s13() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
            
            <div class="bt-slide-2 bt-mid-control bt-mid-control-white owl-carousel owl-theme">
               
            <?php 
            if( !empty( $data ) ):

               $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );
   
               foreach ( $reviews as $value ):

               $sellerData = $value['open_graph_story']['data']['seller'];
               $sellerName = $sellerData['title'];
               $sellerUrl  = $sellerData['url'];
               
               $created_time = biz_date_format( $value['created_time'] );
              
               if( $value['recommendation_type'] == 'positive' ) {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'recommends', 'bizreview' );

               } else {

                  $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

                  $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

               }

            ?>
            <div class="biz-col-md-12">
               <div class="black-bg white-text bt-shadow-1 p-35px bt-radius-3 m-15px-t m-15px-b">
                  <?php
                  if( !empty( $value['review_text'] ) ):
                  ?>
                  <div class="bt-testimonial-text">
                     <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
                  </div>
                  <?php
                  endif; 
                  //
                  if( !empty( $value['reviewer']['picture']['data']['url'] ) ):
                  ?>
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
                     <img src="<?php echo esc_url( $value['reviewer']['picture']['data']['url'] ); ?>" alt="<?php echo esc_attr( $value['reviewer']['name'] ); ?>"/>
                  </div>
                  <?php
                  endif;
                  ?>
                  <div class="biz-col-sm-12">
                     <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                        <?php
                        if( !empty( $value['reviewer']['name'] ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                        <?php
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                        </p>
                     </div>
                  </div>
               </div>
            </div>
            <?php
               endforeach;
            endif;

            ?>

            </div>
         </div>
         </div>
         </section>
      <?php
   }

   // Template Style 14
   function biz_facebook_review_template_s14() {

      $iterateData = self::$getData;

      $data = $iterateData['data'];
      $atts = $iterateData['atts'];


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      
      <div class="owl-carousel btImageDots">

      <?php
	  $profileImg = '';
      if( !empty( $data ) ):

         $reviews = array_slice( $data, 0, absint( $atts['max_rows'] ) );

         
         $k = 0;
         foreach ( $reviews as $value ):


            $sellerData = $value['open_graph_story']['data']['seller'];
            $sellerName = $sellerData['title'];
            $sellerUrl  = $sellerData['url'];
            			
			$created_time = biz_date_format( $value['created_time'] );
           
            if( $value['recommendation_type'] == 'positive' ) {

               $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#F36B7F" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

               $recommendsText = esc_html__( 'recommends', 'bizreview' );

            } else {

               $recommendsIcon = '<svg width="18" height="18" class="eafr-reviewer-recommendation-icon"><path fill="#979797" d="M9 14l-3.293 3.293A1 1 0 0 1 4 16.586V14h-.154c-1.337 0-1.822-.14-2.311-.4A2.726 2.726 0 0 1 .4 12.464c-.261-.488-.4-.973-.4-2.309v-6.31c0-1.336.14-1.821.4-2.31A2.726 2.726 0 0 1 1.536.4c.488-.261.973-.4 2.309-.4h10.31c1.336 0 1.821.14 2.31.4.49.262.873.646 1.134 1.135.262.489.401.974.401 2.31v6.31c0 1.336-.14 1.821-.4 2.31a2.726 2.726 0 0 1-1.135 1.134c-.489.262-.974.401-2.31.401H9zm0-5l1.454.765a.5.5 0 0 0 .726-.527l-.278-1.62 1.177-1.147a.5.5 0 0 0-.277-.853l-1.626-.236-.728-1.474a.5.5 0 0 0-.896 0l-.728 1.474-1.626.236a.5.5 0 0 0-.277.853l1.177 1.147-.278 1.62a.5.5 0 0 0 .726.527L9 9z"></path></svg>';

               $recommendsText = esc_html__( 'doesn\'t recommend', 'bizreview' );

            }



               if( !empty( $value['reviewer']['picture']['data']['url'] ) ) {

                  $active = ( $k == 0  )  ? ' active' :''; 

                  $profileImg .= '<li class="bt-avater bt-avater-thumb'.esc_attr( $active ).'" data="'.esc_attr( $k ).'">
                  <img src="'.esc_url( $value['reviewer']['picture']['data']['url'] ).'" alt="'.esc_attr( $value['reviewer']['name'] ).'">
               </li>';
               }


      ?>

         <div class="biz-col-sm-12">
            <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b">
               <div class="biz-row">
                  <div class="biz-col-md-auto d-flex align-items-center">
                     <div class="bt-testimonial-grid-title-address">
                        <?php 
                        if( !empty( $value['reviewer']['name'] ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><a href="<?php echo esc_url( $sellerUrl.'reviews/' ); ?>" target="_blank"><?php echo esc_html( $value['reviewer']['name'] ); ?></a> <?php echo $recommendsIcon; ?></h4>
                        <p> <?php echo esc_html( $recommendsText ); ?> <a target="_blank" href="<?php echo esc_url( $sellerUrl ); ?>"> <?php echo esc_html( $sellerName ); ?> </a></p>
                        <?php 
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php echo esc_html( $created_time ).' '.__( 'via Facebook', 'bizreview' ); ?>
                        </p>
                     </div>
                  </div>
               </div>
               <?php 
               if( !empty( $value['review_text'] ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $value['review_text'] ); ?></p>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
         $k++;
         
            endforeach;
         endif;
         ?>

      </div>

      <div class="biz-col-sm-12 image-dots-wrap arrow-up">
            <ul class="image-dots">
               <?php echo $profileImg; ?>
            </ul>
      </div>
      
   </div>
   </div>
   </section>
      <?php
   }



} // End Class