<?php 
add_action( 'vc_before_init', 'biz_social_badge' );
function biz_social_badge() {
	// vc_map check
	if( function_exists( 'vc_map' ) ){
		vc_map( array(
		  "name" => __( "Review Badge", "bizreview" ),
		  "base" => "vc_social_badge",
		  "class" => "",
		  "icon" => BIZREVIEW_DIR_URL."assets/biz-review-icon.png",
		  "category" => __( "Bizreview", "bizreview"),
		  "params" => array(
			array(
				"type" => "dropdown",
				"heading" => __( "Badges Platform", "bizreview" ),
				"param_name" => "badges_platform",
				"value" => '1', //Default value
				"description" => __( "Select badges platform", "bizreview" ),
				"group" => __( "Review Settings", 'bizreview' ),
				"value" => array(
                    esc_html__( 'Google', 'bizreview' )  => 'google',
                    esc_html__( 'Facebook', 'bizreview' )  => 'facebook',
                    esc_html__( 'Yelp', 'bizreview' )  => 'yelp',
                    esc_html__( 'Trustpilot', 'bizreview' )  => 'trustpilot',
                )
			),
			array(
				"type" => "textfield",
				"heading" => __( "Platform Name", "bizreview" ),
				"param_name" => "name",
				"value" => '', //Default value
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "attach_image",
				"heading" => __( "Platform Image", "bizreview" ),
				"param_name" => "img",
				"value" => '', //Default value
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "floatnumber",
				"heading" => __( "Rating", "bizreview" ),
				"param_name" => "rating",
				"value" => '', //Default value
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "floatnumber",
				"heading" => __( "Total Reviews", "bizreview" ),
				"param_name" => "totalreview",
				"value" => '', //Default value
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "textfield",
				"heading" => __( "Reviews Url", "bizreview" ),
				"param_name" => "reviewurl",
				"value" => '', //Default value
				'group' => __( 'Review Settings', 'bizreview' ),
			),


		  )
		) );
	} // end vc_map Check
}

